#include "../unity/unity.h"

int my_strlen(char *s) {
  int i = 0;
  while (s[i] != 0) {
    i += 1;
  }
  return i;
}

void test_my_strlen_1(void) { TEST_ASSERT_EQUAL_INT(0, my_strlen("")); }

void test_my_strlen_2(void) { TEST_ASSERT_EQUAL_INT(3, my_strlen("foo")); }

int my_strcmp(char *s1, char *s2) {
  int i = 0;
  while (1) {
    if (s1[i] != s2[i]) {
      return 1;
    } else if (s1[i] == 0) {
      return 0;
    }
    i += 1;
  }
}

void test_my_strcmp_1(void) {
  TEST_ASSERT_EQUAL_INT(0, my_strcmp("foo", "foo"));
}

void test_my_strcmp_2(void) {
  TEST_ASSERT_EQUAL_INT(1, my_strcmp("foo", "fob"));
}

void test_my_strcmp_3(void) {
  TEST_ASSERT_EQUAL_INT(1, my_strcmp("foo", "fooo"));
}

void setUp(void) {}
void tearDown(void) {}

int main(void) {
  UNITY_BEGIN();
  RUN_TEST(test_my_strlen_1);
  RUN_TEST(test_my_strlen_2);
  RUN_TEST(test_my_strcmp_1);
  RUN_TEST(test_my_strcmp_2);
  RUN_TEST(test_my_strcmp_3);
  return UNITY_END();
}
